For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
    • POSTResolve ID Token
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETSearch Users by Email
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
    • POSTCreate Comment Reply
  • Ecommerce
  • Webhooks
  • Site Configuration
  • Enterprise
  • App Subscriptions
    • GETGet app subscriptions
LogoLogo
Resources
Get started
Comments

Create Comment Reply

POST
https://api.webflow.com/beta/sites/:site_id/comments/:comment_thread_id/replies
POST
/beta/sites/:site_id/comments/:comment_thread_id/replies
$curl -X POST https://api.webflow.com/beta/sites/580e63e98c9a982ac9b8b741/comments/580e63e98c9a982ac9b8b741/replies \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "content": "Thanks for the feedback [[6287ec36a841b25637c663df]]!"
>}'
1{
2 "id": "679d2ddb5196117ad04d1ffa",
3 "commentId": "679d2ddb5196117ad04d1ffd",
4 "siteId": "679826b3b20b045e176bc4b5",
5 "pageId": "679826b3b20b045e176bc4bc",
6 "breakpoint": "main",
7 "content": "Thanks for the feedback [[6287ec36a841b25637c663df]]!",
8 "isResolved": false,
9 "author": {
10 "id": "6287ec36a841b25637c663df",
11 "email": "ford.prefect@heartofgold.spaceship",
12 "name": "Ford Prefect"
13 },
14 "lastUpdated": "2025-01-31T20:08:59.759Z",
15 "createdOn": "2025-01-31T20:08:59.759Z",
16 "mentionedUsers": [
17 {
18 "id": "6287ec36a841b25637c663df",
19 "email": "arthur.dent@heartofgold.spaceship",
20 "name": "Arthur Dent"
21 }
22 ]
23}
Create a reply to an existing comment thread. The reply author is always the user who authorized the OAuth token. To @mention a user in the reply, include their user ID in double square brackets in the `content` field, as in `[[userId]]`. <Note> The `comment_created` webhook fires automatically when a reply is created. </Note> Required scope | `comments:write`
Was this page helpful?
Previous

List Products & SKUs

Next
Built with

Create a reply to an existing comment thread.

The reply author is always the user who authorized the OAuth token. To @mention a user in the reply, include their user ID in double square brackets in the content field, as in [[userId]].

The comment_created webhook fires automatically when a reply is created.

Required scope | comments:write

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site
comment_thread_idstringRequiredformat: "objectid"
Unique identifier for a Comment Thread

Request

The content of the reply
contentstringRequired<=2040 characters

The text content of the reply. To @mention a user, include their user ID in double square brackets, as in [[userId]].

Response

Reply created successfully
idstring
Unique identifier for the comment thread
commentIdstring
The comment reply unique identifier
siteIdstring
The site unique identifier
pageIdstring
The page unique identifier
breakpointstring
The breakpoint the comment was left on
contentstring
The content of the comment reply
isResolvedbooleanDefaults to false
Boolean determining if the comment thread is resolved
authorobject
lastUpdatedstringRead-onlyformat: "date-string"
The date the item was last updated
createdOnstringRead-onlyformat: "date-string"
The date the item was created
localeIdstringRead-only
The locale unique identifier
mentionedUserslist of objects
List of mentioned users is an empty array until email notifications are sent.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error